CVE-2014-0784 Details

CVE-2014-0784

Published: 2014-03-14
Last Modified: 2015-08-05
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

Stack-based buffer overflow in BKBCopyD.exe in Yokogawa CENTUM CS 3000 R3.09.50 and earlier allows remote attackers to execute arbitrary code via a crafted TCP packet.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 8.3/10
Exploit Score 8.6/10
Access Vector Network
Access Complexity Medium
Authentication None
Impact Score 8.5/10
Confidentiality Impact Partial
Availability Impact Complete
Integrity Impact Partial
Vector String AV:N/AC:M/Au:N/C:P/I:P/A:C
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:yokogawa:centum_cs_3000:r3.01:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.02:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.03:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.04:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.05:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.06:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.07:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.08:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.08.50:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.08.70:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:r3.09:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:yokogawa:centum_cs_3000:*:*:*:*:*:*:*:* Yes - -
References

http://ics-cert.us-cert.gov/advisories/ICSA-14-070-01
http://www.securityfocus.com/bid/66114
https://community.rapid7.com/community/metasploit/blog/2014/03/10/yokogawa-centum-cs3000-vulnerabilities

CVE ID
CVE-2014-0784
Published
2014-03-14
Modified
2015-08-05
CVSSv2.0
High
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-119

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.